Generation Framework

## org.eclipse.gmf.mappings
Interface ElementInitializer

All Superinterfaces:
  EObject, Notifier

All Known Subinterfaces:
  FeatureSeqInitializer

All Known Implementing Classes:
  FeatureSeqInitializerImpl

public interface ElementInitializer
extends EObject

A representation of the model object 'Element Initializer'. Base class for initializers of domain model elements

The following features are supported:

- `Mapping Entry`

See Also:
  `GMFMapPackage.getElementInitializer()`
** Generated **
Model:
  interface="true" abstract="true"

Method Summary
`MappingEntry` `getMappingEntry()` Returns the value of the 'Mapping Entry' container reference.
`void` `setMappingEntry(MappingEntry value)` Sets the value of the '`Mapping Entry`' container reference

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getMappingEntry

    public MappingEntry getMappingEntry()

  Returns the value of the 'Mapping Entry' container reference. It is bidirectional and its opposite is '`Domain Initializer`'.

  If the meaning of the 'Mapping Entry' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Mapping Entry' container reference.
  See Also:
    `ElementInitializer.setMappingEntry(MappingEntry)`, `GMFMapPackage.getElementInitializer_MappingEntry()`, `MappingEntry.getDomainInitializer()`
  ** Generated **
  Model:
    opposite="domainInitializer" required="true"

### setMappingEntry

    public void setMappingEntry(MappingEntry value)

  Sets the value of the '`Mapping Entry`' container reference.

  Parameters:
    `value` - the new value of the 'Mapping Entry' container reference.
  See Also:
    `ElementInitializer.getMappingEntry()`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.